minpf_plugin.h File Reference
`#include <stdint.h>`

Go to the source code of this file.

## Classes

struct | grk::minpf_object_params
struct | grk::minpf_plugin_api_version
struct | grk::minpf_register_params
struct | grk::minpf_platform_services

## Namespaces

namespace | grk
| Copyright (C) 2016-2023 Grok Image Compression Inc.

## Macros

#define | PLUGIN_API
#define | PLUGIN_LOCAL

## Typedefs

typedef struct grk::minpf_object_params | grk::minpf_object_params
typedef struct grk::minpf_plugin_api_version | grk::minpf_plugin_api_version
typedef void *(* | grk::minpf_create_func) (minpf_object_params *)
typedef int32_t(* | grk::minpf_destroy_func) (void *)
typedef struct grk::minpf_register_params | grk::minpf_register_params
typedef int32_t(* | grk::minpf_register_func) (const char *nodeType, const minpf_register_params *params)
typedef int32_t(* | grk::minpf_invoke_service_func) (const char *serviceName, void *serviceParams)
typedef struct grk::minpf_platform_services | grk::minpf_platform_services
typedef int32_t(* | grk::minpf_exit_func) ()
typedef minpf_exit_func(* | grk::minpf_post_load_func) (const char *pluginPath, const minpf_platform_services *)

## Functions

PLUGIN_API minpf_exit_func | grk::minpf_init_plugin (const char *pluginPath, const minpf_platform_services *params)

## Macro Definition Documentation

## PLUGIN_API

#define PLUGIN_API

## PLUGIN_LOCAL

#define PLUGIN_LOCAL